
image: golang:1.19

stages:
  - test
  - build

unit-test:
  stage: test 
  script:
    - go test -v ./...

compile:
  stage: build
  script:
    - mkdir -p build
    - go build -o build/dnsupdater cmd/dnsupdater/main.go
  artifacts:
    paths:
      - build
